Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 12 May 2003 16:42:45 -0400
From:      "John Straiton" <jsmailing@clickcom.com>
To:        <freebsd-questions@FreeBSD.ORG>
Subject:   Upgraded , now in a bind with PAM-mysql
Message-ID:  <000001c318c7$0de7cf00$1916c60a@win2k.clickcom.com>

Next in thread | Raw E-Mail | Index | Archive | Help
Ok, so I decided today that migrating from 4.8 to 5.1 would be a grand
idea. I'm glad I wasn't deciding if I should play Russian Roulette or
not.

After finally getting the machine to boot, and deciding that I could put
up with all the random + signs that are in my command line and in man
pages, and well, just about anywhere, I tried to get email and couldn't
authenticate. 

I'm using cyrus SASL going to a pam-mysql connector that *was* described
in my 4.8's /etc/pam.conf.

So after upgrading I 
#grep imap /etc/pam.conf >> /etc/pam.d/imap
And then removed the service descriptor from the lines. Then I restarted
sasl to be greeted with:

May 12 16:18:38 human saslauthd[24119]: START: saslauthd 2.1.7
May 12 16:18:38 human saslauthd[24124]: master PID is: 24124
May 12 16:18:38 human saslauthd[24124]: daemon started, listening on
/var/state/saslauthd/mux
May 12 16:18:55 human saslauthd[24127]: unable to
dlopen(/usr/lib/pam_mysql.so)
May 12 16:18:55 human saslauthd[24127]: [dlerror: /usr/lib/libm.so.2:
Undefined symbol "__fpclassifyd"]
May 12 16:18:55 human saslauthd[24127]: adding faulty module:
/usr/lib/pam_mysql.so
May 12 16:18:55 human saslauthd[24127]: unable to
dlopen(/usr/lib/pam_nologin.so)
May 12 16:18:55 human saslauthd[24127]: [dlerror: /usr/lib/libutil.so.3:
Undefined symbol "mac_is_present"]
May 12 16:18:55 human saslauthd[24127]: adding faulty module:
/usr/lib/pam_nologin.so
May 12 16:18:55 human saslauthd[24127]: unable to
dlopen(/usr/lib/pam_opie.so)
May 12 16:18:55 human saslauthd[24127]: [dlerror: /usr/lib/libopie.so.2:
Undefined symbol "__xuname"]

Etc...So I figured I'd portupgrade pam-mysql. No upgrade necessary so I
just did a make deinstall then tried to make reinstall where I was
greeted with:

===>  Building for pam_mysql-0.4.7
cc -O -pipe -fpic -DPIC -Wall -I/usr/local/include -c
/usr/ports/security/pam-mysql/work/pam_mysql/pam_mysql.c -o
/usr/ports/security/pam-mysql/work/pam_mysql/pam_mysql.o
/usr/ports/security/pam-mysql/work/pam_mysql/pam_mysql.c: In function
`converse':
/usr/ports/security/pam-mysql/work/pam_mysql/pam_mysql.c:247:
`PAM_CONV_AGAIN' undeclared (first use in this function)
/usr/ports/security/pam-mysql/work/pam_mysql/pam_mysql.c:247: (Each
undeclared identifier is reported only once

Etc... So I went to a 5.0-RELEASE box I had and figured "hell, I'll just
install it there, then scp the lib over to the new machine and try
that". Well on the release box, I get:

/usr/ports/security/pam-mysql#make
===>  pam_mysql-0.4.7 is marked as broken: Does not work with OpenPAM
(yet).

(though I didn't get that on the 5.1 machine).

Is it safe to assume at this point I have to buildworld back down to
4.8? Does anyone have any luck using pam-mysql in 5.X?

John




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?000001c318c7$0de7cf00$1916c60a>